[android-components](../../../index.md) / [mozilla.components.feature.readerview](../../index.md) / [ReaderViewFeature](../index.md) / [Config](./index.md)

# Config

`class Config` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/readerview/src/main/java/mozilla/components/feature/readerview/ReaderViewFeature.kt#L45)

### Types

| Name | Summary |
|---|---|
| [ColorScheme](-color-scheme/index.md) | `enum class ColorScheme` |
| [FontType](-font-type/index.md) | `enum class FontType` |

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Config(prefs: `[`SharedPreferences`](https://developer.android.com/reference/android/content/SharedPreferences.html)`)` |

### Properties

| Name | Summary |
|---|---|
| [colorScheme](color-scheme.md) | `var colorScheme: `[`ColorScheme`](-color-scheme/index.md) |
| [fontSize](font-size.md) | `var fontSize: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) |
| [fontType](font-type.md) | `var fontType: `[`FontType`](-font-type/index.md) |

### Companion Object Properties

| Name | Summary |
|---|---|
| [COLOR_SCHEME_KEY](-c-o-l-o-r_-s-c-h-e-m-e_-k-e-y.md) | `const val COLOR_SCHEME_KEY: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [FONT_SIZE_KEY](-f-o-n-t_-s-i-z-e_-k-e-y.md) | `const val FONT_SIZE_KEY: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [FONT_TYPE_KEY](-f-o-n-t_-t-y-p-e_-k-e-y.md) | `const val FONT_TYPE_KEY: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
